# -*- coding: utf-8 -*-
# -*- coding: utf-8 -*-

from odoo import models, fields, tools

class HrEmployeePrivatePhysicalCharacteristics(models.Model):
  _name = 'hr.employee'
  _inherit = 'hr.employee'

  height = fields.Integer('Height',help='In centimetres')
  eye_colour_id = fields.Many2one('hr.employee.eye.colour','Eye colour', ondelete='set null')
  # No caldria posar ondelete="set null" per què és el funcionament per defecte
  # d'un Many2one no obligatori

class HrEmployeeEyeColour(models.Model):
    _name = 'hr.employee.eye.colour'
    _description = 'Colour Management'

    name = fields.Char('Eye colour', required=True, size=20)

    def _auto_init(self):
        res = super(HrEmployeeEyeColour, self)._auto_init()
        tools.create_unique_index(self._cr, 'hr_employee_eye_colour_unique_upper_name',
                                  self._table, ['upper(name)'])
        return res
